Bug 117902 - CRASH: LibreOffice crashes if the sidebar is empty
Summary: CRASH: LibreOffice crashes if the sidebar is empty
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: highest critical
Assignee: Armin Le Grand
URL:
Whiteboard: target:6.1.0.1 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-30 14:20 UTC by Xisco Faulí
Modified: 2018-06-18 14:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (807.82 KB, video/x-matroska)
2018-05-31 08:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-05-30 14:20:29 UTC
Steps to reproduce:
1. Open Writer
2. Click on the Chart icon -> a chart is inserted
3. Click once outside the chart on the document -> the sidebar become empty
4. Place the mouse of the chart
CRASH!

Reproduced

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-05-30 14:21:26 UTC
Regression introduced by:

author	Katarina Behrens <Katarina.Behrens@cib.de>	2018-03-20 15:31:21 +0100
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2018-04-28 18:31:30 +0200
commit	af1c5b959462bc7dcd675c6298ca69c69f33bd52 (patch)
tree	8dad8f76f5327e0d62640fb85954790bff63cd04
parent	b0eca89b921e0e57a9c4982aa3ffdfba8bd79bc4 (diff)
Enable undocking of sidebar by dragging a deck grip

Bisected with: bibisect-linux64-6.1

Adding Cc: to Katarina Behrens
Comment 2 Telesto 2018-05-30 18:54:18 UTC
No repro on Windows with:
Version: 6.2.0.0.alpha0+
Build ID: 938ec2597be2e0ad3af2fb99f77de7f87285ad86
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-25_23:38:38
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Xisco Faulí 2018-05-31 08:37:20 UTC
Created attachment 142432 [details]
screencast
Comment 4 Christoffer 2018-06-01 05:59:02 UTC
Can reproduce issue through steps shown in the screencast
Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: sv-SE (sv_SE); Calc: CL
Comment 6 Xisco Faulí 2018-06-18 14:46:50 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: d60d695fcc5064e1f16842387fdce23456a64694
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded